//---------------------------------------------------------------------------

#include <vcl.h>
#include <iterator>
#include "algostuff.hpp"

#include <conio.h> //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main()
{
  list<int> coll1;
  set<int> coll2;

  //     
  INSERT_ELEMENTS(coll1,1,6);
  INSERT_ELEMENTS(coll2,3,8);

  PRINT_ELEMENTS(coll1,"1- :\n");
  PRINT_ELEMENTS(coll2,"2- :\n");

  //   
  cout << ToRus(" :\n");
  merge (coll1.begin(), coll1.end(),
         coll2.begin(), coll2.end(),
         ostream_iterator<int>(cout," "));
  cout << endl;


  getch();
  return 0;
}

//---------------------------------------------------------------------------